Public Support - Support Request #3866

Configuration Editor is unusable and crashes
2018-08-27 07:57 - hidden

Status: Closed
Priority: Normal
Category:
Customer: ACADEMIC Product Issue
Numbers:
Department: LINZ Affected Products: ADTF 3.3.1, ADTF 3.3.3
Requester's Priority: Normal Platform: Ubuntu 16.04 64bit, Windows 10 64bit
Support Level: 3rd Level Topic: ADTF::CE
Resolution: Solved Issue FAQ Links:
Description
Supportanfrage

In aller Kiirze, denn Details wirden einen Roman zu Tage bringen:
Ich muss vorausschicken, dass ich ein sehr ungewdhnlicher Benutzer / Student bin und in meinem/r Alter / Situation einfach sage,
was ich mir denke -- was andere, warum auch immer, nicht tun.

Allgemein:

Ich kann lhnen die Wortwahl leider nicht ersparen:

In meinem Leben habe ich schon viele Programme benutzt, aber so einen Schrott wie den CE habe ich noch nicht erlebt.
So etwas (Europa-weit an die Unis) hinaus zu geben ist Rufselbstmord mit Ansage.

Im Detail:

Windows 1803:

- Der CE 3.3.1 (und auch 3.3.3) ist (zumindest) auf meinem Hi-DPI (UHD @ 175%) Windows 1803 praktisch nicht benutzbar.

Die Menis habe ich zwar mit einem Klick auf Project View bzw. Component Tabs gefunden und mit Tab- und Pfeil-Tasten kann man
sich zwar irgendwie ans Ziel wursteln (wo man mit der Maus nicht hinkommt), aber eine Session mit Return 0.4. zu aktivieren ist mir
noch nicht gelungen.

Aufgabe.

XUbuntu auf den AADC-Autos und anderen Geraten mit AADC-Image:

- Der CE stiirzt gefiihlt oder real bei jeder zweiten Operation ab. Oft kommentarlos, oft mit Ansage eines Bug-Reports. Hat die jemals
jemand ausgewertet? Das kann doch nicht unbemerkt geblieben sein!?

- Der Status-Update ist praktisch nicht existent. Am besten man startet das Ding nach jeder/m Op / Save neu.

- Eine/n neue/n Session / Stream- / Filtergraph mit + anzulegen ist mir bei mehreren Items im entsprechenden Editor-Tab nicht
gelungen. Maus zieht nicht. Pfeil selektiert, aber Return triggert mit Fokus auf + nicht. Umstands-Kramer-L6ésung: Neue/r Session /
Streaming Graph.

- Konzeptionelle Inkonsistenz: Drag and Drop von Komponenten, aber fir Inports,... im Filter-Graph plétzlich Kontext-Menii??

Und so weiter und so fort. Von Feature-Requests (z.B. Save As...) gar nicht zu reden.
Und das betrifft ADTF generell und hat mit dem AADC-Framework und Student-only nichts zu tun.

Lésung

Es lag ein Problem mit der Grafikkarte vor, nach einen Treiber Update gab es keine Probleme mehr.

Related issues:
Related to Public Support - Support Request #4527: ADTF not working properly ... Closed

History

#1 - 2018-08-27 16:51 - hidden
- Project changed from Public Support to 25

- Status changed from New to In Progress
- Topic set to ADTF::CE

#2 - 2018-08-27 17:18 - hidden
- Status changed from In Progress to Customer Feedback Required

- Resolution set to Known Problem

Hallo Guenter,
Der CE 3.3.1 (und auch 3.3.3) ist (zumindest) auf meinem Hi-DPI (UHD @ 175%) Windows 1803 praktisch nicht benutzbar.
Die MenUs habe ich zwar mit einem Klick auf Project View bzw. Component Tabs gefunden und mit Tab- und Pfeil-Tasten kann man sich zwar
irgendwie ans Ziel wursteln (wo man mit der Maus nicht hinkommt), aber eine Session mit Return 0.3. zu aktivieren ist mir noch nicht gelungen.
Aufgabe.

Ich kann deinen Unmut (leider) zu 100% nachvollziehen.

ADTF 3.x bietet (noch) keinen Support fir UHD, an dieser Sache sind wir mit Hochdruck dran und miissen Workaround um Workaround einbauen.
Grund dafir selbst ist Q/QML, die selbst Probleme damit haben.

Die Anpassungen zu ADTF 3.3.x sollten eigentlich fruchten, deshalb kénntest du uns bitte noch etwas mehr Details geben tber dein Setup ?
Ich habe mittlerweile selbst einen UHD-Bildschirm und bei sieht ADTF dank der Skalierung mittlerweile véllig normal aus.

Einzige Voraussetzung:
Ich muss den Touchscreen im Geratemanager deaktivieren, da Qt sonst denkt, dass manche Widgets zum Scrollen sind, manche zum Auswahlen,
etc... und demnach nach Bedienung nicht wie erwartet lauft.

Wir sind also an der Sache dran, es gibt aber zig Einstellungsmdglichkeiten und Kombinationen und deshalb sind wir um jeder Feedback dankbar.

In meinem Leben habe ich schon viele Programme benutzt, aber so einen Schrott wie den CE habe ich noch nicht erlebt.

So etwas (Europa-weit an die Unis) hinaus zu geben ist Rufselbstmord mit Ansage.

Leider muss ich dir aber auch sagen, dass wie gesagt UHD derzeit (noch) nicht unterstitzt wird, ebenso wenig wie Windows 10.
Das ist der Grund, warum wir die Software auf Win 7 und Ubuntu 16.04 rausgeben.

Der CE sturzt gefuhlt oder real bei jeder zweiten Operation ab. Oft kommentarlos, oft mit Ansage eines Bug-Reports. Hat die jemals jemand
ausgewertet? Das kann doch nicht unbemerkt geblieben sein!?

Wir gehen jeden Absturz nach, kannst du uns die Log Dumps schicken ?

Und zusétzlich, und v.a. wenn es keine gibt, eine Anleitung zum Reproduzieren ?
Der Status-Update ist praktisch nicht existent. Am besten man startet das Ding nach jeder/m Op / Save neu.

Kannst du hier ausfiihren, was du damit meinst ?

Was ist mit Status Update gemeint ?
Eine/n neue/n Session / Stream- / Filtergraph mit + anzulegen ist mir bei mehreren Items im entsprechenden Editor-Tab nicht gelungen. Maus
zieht nicht. Pfeil selektiert, aber Return triggert mit Fokus auf + nicht. Umstands-Kramer-L&sung: Neue/r Session / Streaming Graph.

Hier kann ich bei uns zumindest keine Probleme feststellen... ggf. ebenso ein Touchscreen Problem (sofern du eins hast) ?
Konzeptionelle Inkonsistenz: Drag and Drop von Komponenten, aber fir Inports,... im Filter-Graph plétzlich Kontext-Men(??

Nein, ein Inport ist kein Plugin in ADTF (=Komponente), sondern eine Configuration abh&ngige und nicht austauschbare Graphen-Schnittstelle (als
Inpin eines Subpraphen).

#3 - 2018-08-28 08:00 - hidden

Hallo Florian,
danke fur deine schnelle und detaillierte Antwort auf meinen doch recht echauffierten Report. (Am Sonntag Abend ist auf Windows wirklich alles
schief gegangen!)

Man muss leider sagen: Der Tenor unter den Teilnehmern des AADC ist, dass generell die Stabilitat und Zuverlassigkeit des CE sehr zu wiinschen
Ubrig lasst -- auch auf den Autos und unabhangig von UHD oder Touch-Screen.

Man verbréat sehr viel Zeit bis man Ubernasert hat, dass sehr oft nicht eine lteration des Graph-Entwurfs das Problem war, sondern der CE einen
Neustart gebraucht hatte, damit alles upgedatet / neu geladen wird und wieder funktioniert. (Das meinte ich mit Status-Change.)
Re UHD / Touch (Touch habe ich gerade abgestellt):
Da ist vielleicht gerade bei mir wieder einiges mehr schief gelaufen als gew6hnlich, da ich mit noch-immer-Adlerauge mit 3920x2160 @ 175 %
Skalierung alles sehr klein eingestellt habe.

Mit etwas mehr Geduld und Frustrationstoleranz nach deinen offenen Worten:
Wenn ich hier jetzt allgemein um eine Zeile zu tief klicke, dann funzst manches, aber nicht alles.

e Also auf dem Project View Tab bekomme ich MenUls

¢ Doppelklick auf default_session klappt Sessions zu

e Zum Aufklappen wird das etwas komplizierter, weil die Items verschiedene Eigenschaften haben.
Wenn noch alles geschlossen ist, klappt ein Doppelklick auf Graphs die Sessions auf, aber Doppelklick auf default_session tut (nattrlich) nichts,
weil andere Eigenschaften. (Geht dann mit Rechtspfeil!)

¢ Bei den Graph-Tabs hilft anscheinend auch, um gut eine Zeile zu tief zu klicken. Beim Hovern kriegen sie dann sichtbar den blauen Fokus und
sogar das + fir neuen Graph funzst.

Generell schein mir das eher ein allgemeiner Fehler zu sein, der sich vielleicht beim verzweifelten UHD-Patchen eingeschlichen hat: Dass namlich
die H6he der Windows-Titelzeile nicht abgezogen wird.

Interessanter Weise haben aber die unteren Session- und Graph-Editor-Tabs diesen Offset-Fehler nicht und die ltems im System Editor verhalten
sich ganz normal!

Eher verdéchtig als Bug erscheint wiederum, dass ein Klick auf System Editor nicht das Sub-Fenster aktiviert, sondern den Cursor in das Suchfeld
darunter setzt.

Ich hatte auch kurz mal 3.3.3 anprobiert, aber keinen wesentlichen Unterschied gesehen.

So, ich glaube jetzt habt ihr mal eine ganz genaue und logische Analyse, dass ihr daran weiterarbeiten kénnt.

Ich fahr dann jetzt mal an die Uni (dauert 5/4 Stunden) und spater schaue ich mir an, wie sich das AADC 2018 XUbuntu Image auf der selben
Maschine verhalt.

LG

G.

#4 - 2018-08-28 09:02 - hidden
- Status changed from Customer Feedback Required to In Progress

- Support Level changed from 2nd Level to 3rd Level

Hallo Guenter,

danke fur dein Feedback, ich gebe die Punkte 1:1 an Sebastian weiter, er ist unser Architekt was die GUI Themen betrifft und derzeit nattrlich wie
schon beschrieben stark beschaftigt.
Er hangt auch mit halben Bein im AADC.

Kénntest du parallel dazu bitte noch folgendes tun/beantworten:

e Du nutzt Win10 nativ oder in einer VM ?
e Welche Grafikkarte ist in deinem Rechner verbaut ?
e Sonstiges Setup, sofern noch nicht kommuniziert:

o Betriebssystem
ADTF Version
Virtualisierung
Von Qt angewendetes Rendering (openGL, directX, software, etc)
Anzahl angeschlossener Monitore
Auflésung je Monitor (3840 x 2160, 2560 x 1440, 1929 x 1080, etc)
MonitorgréBe (32, 28, 27 Zoll etc.)
handelt es sich um einen 4k Monitor
eingestellt Skalierung (100%, 125%, 150%, 175%, 200%, etc)
Touchscreen
Auf welchen Monitoren mach das Layout des CE Probleme?

o Treten die Probleme auf, wenn man den CE von einen Monitor auf den anderen verschiebt?
¢ Kannst du das Verhalten bitte nochmal mit einem frisch installierten ADTF 3.3.3 verifizieren, inkl. Neustart, um sicher zu gehen, dass

Windows nicht noch zusétzliche Skalierungs-Optimierungen durchfiihren will?

¢ Wenn deine Umgebung kein OpenGL zum Rendern verwendet:

o Bitte den CE mal aus der Kommandozeile starten und vorher

= export QULSCENE_DEVICE=softwarecontext
= Bringt das eine Verbesserung ?

0 0 o o o o 0o 0o o o

Hintergrund:

Einen Berechnungsfehler kdnnen wir an dieser Stelle nicht haben.
Wir nutzen Qt eigene Mechanismen, die bei UHD optimieren sollen.
Leider ist Qt an dieser Stelle noch nicht so weit.

Auch an ADTF besteht derzeit (noch) keine Anforderung bzgl. UHD und Touch, aber das fallt uns natiirlich derzeit auf die FuBe...
Deshalb sind wir da akut dran und haben auch zusammen mit GUI Experten eine Analyse gefahren.
support.digitalwerk.net/projects/download-center/repository/show/adtf/release-3.3.3

Leider sind die moglichen Optimierungen derzeit vielseitig und man muss von Setup zu Setup schauen, was das ganze natirlich erschwert...
Das Problem féllt derzeit nahezu allen Tools und Frameworks auf die FiBe, die Cross-Plattform mit Qt entwickeln, davon sind wir leider abhangig.

Einzige ReiBleine wére es, auf Java oder HTML zu setzen und von vorne zu beginnen, was derzeit nicht realisierbar ist.

Bleibt uns aktuell leider nur, auf Feedback zu hoffen und Schritt fir Schritt stabil zu werden.

Die von dir angesprochenen Refresh Szenarien sind ebenfalls ongoing.

Zudem wird das config tool soweit erweitert, dass man Komponenten hinzufiigen und verbinden.

In Kombination mit ADTF Control ist somit eine komplette Session aufsetzbar, ohne den CE zu benutzen, was bei derartigen Setup Probleme
zumindest ein "Workaround" wére.

Zu den Abstlrzen des CE:

Dieser sind schon weitaus stabiler geworden, bei mir z.B. ist er seit 3.3.0 nicht mehr abgesturzt.

Allerdings weif3 ich ungeféhr was ich tue (das ist keine Kritik, sondern einfach Core Wissen) und meine Setups wahrscheinlich nicht aufwandig.
Deshalb ist es immer schwer Reproduzierbar, wenn ihr also Core-Dumps, Anleitungen oder gar Videos/Scrennshots/casts habt, jederzeit erwiinscht,
auch wenn noch so trivial.

ADTF lebt schon seit jeher von der Zusammenarbeit mit den Anwendern, die Entwickler haben nur schwammige Anforderungen und damit minimale
Setups, die Anwender dann die "gro3en Brocken".

#5 - 2018-08-28 11:00 - hidden

Super!
Hab mir eben 3.3.3 angeschaut und da scheint sich nichts geédndert zu haben.
Schaut nach einem Windows-Title-Bar-Offset-Bug aus. Bei den Popups im Session Editor muss man auch darunter danebenklicken, damit sie

poppen. (grins)
Hab auch den Touch wieder eingeschaltet und er scheint zusatzlich in die Quere zu kommen

e wenn sich z.B. zwischen oberen und unteren Sub-Fenstern der Session Editor Tab-Fokus und der Window-Resize Doppelpfeil streiten, ist es
wesentlich schwieriger, eine Session- oder Graph-Editor-Tab anzuwahlen.

* Bei den oberen Tabs selektieren jetzt zwar Links- und Rechtspfeil, aber beim + fur einen neuen Graph habe ich mit Touch noch keinen
Workaround gefunden.

Ich wird mal sagen: "Touch ausschalten" uniibersehbar empfehlen und den Offset-Bug eliminieren! Ich glaub, dann sind wir wieder im Spiel!

Und: Der CE auf dem AADC Image auf dem selben Laptop in einer VMware funktioniert Ul-méaBig perfekt!
(auBBer dass die Schrift 1.2 mm "gro3" ist, weil XFCE nicht skalieren lasst - daflir aber extrem schnell ist)
LG

G.

#6 - 2018-08-28 14:21 - hidden

Oops, ich habe in der Eile die Zusatzfragen und das In-Depth tbersehen!
Hier mal schnell Zusatzfragen, In-Depth spater:

Du nutzt Win10 nativ oder in einer VM ? Nativ
Welche Grafikkarte ist in deinem Rechner verbaut ? GTX 960 mit 398.82 Treiber, den ich vorige Woche mit CUDA 9.2 installiert habe. Aber CE
verwenden It. Nvidia Monitor Intel HD Graphics 530 via Optimus.

Sonstiges Setup, sofern noch nicht kommuniziert:

Betriebssystem Win 10 18083 latest physisch

ADTF Version 3.3.3 eben nochmal nach Neustart probiert

Virtualisierung? nein; Hyper-V aus

Von Qt angewendetes Rendering (openGL, directX, software, etc) VERMUTE directX unter Win!? Wie kann ich’s feststellen?
Anzahl angeschlossener Monitore: Laptop-eingebauter

Aufldsung je Monitor (3840 x 2160, 2560 x 1440, 1929 x 1080, etc): 3840 x 2160 UHD @ 175 % Skalierung
MonitorgréBe (32, 28, 27 Zoll etc.) 15" (Ich kann’s auf einem 40" UHD Fernseher mit 3840 x 2160 probieren. Soll ich?
handelt es sich um einen 4k Monitor? ja

eingestellt Skalierung (100%, 125%, 150%, 175%, 200%, etc) 175%

Touchscreen? ja, jetzt ausgeschaltet

Auf welchen Monitoren mach das Layout des CE Probleme? built-in

Treten die Probleme auf, wenn man den CE von einen Monitor auf den anderen verschiebt? N, ganz normal auf built-in

#7 - 2018-08-28 14:39 - hidden

In depth:

Das 3.3.3 habe ich heute friih frisch installiert Windows eben vorher neu gestartet, weil ich vorher zum Test das AADC 2018 Image physisch
gefahren bin.

Win wollte mir keine Skalierungsoptimierungen auf’s Auge driicken und ich habe auch keine gemacht.

cd C:\SDK\adtf\3.3.3\bin

set QMLSCENE_DEVICE=softwarecontext #export wdre Linux
adtf_configuration_editor.exe

2024-04-20 4/5



OH JA, DAS HILFT!!

#8 - 2018-08-28 15:17 - hidden

Oh shoot. Der uberwutzelte Intel Grafiktreiber 21.20.16.4664 war Schuld!

(Den Dell Updates muss man mal grundsétzlich misstrauen und zumindest ein Monat warten, ob sie’s wieder zuriickziehen!)

Mit 23.20.16.4973 geht’s auch ohne QMLSCENE_DEVICE=softwarecontext! (mit Hardware-Rendering?)

LG

G.

PS: Auf dem AADC 2018 Image ist zwar ein CUDA 9.2 installiert, aber der (glaube ich) 384er Treiber scheint mir nicht dazu zu passen und wenn ich
das physisch auf dem Dell mit FHD auf dem UHD-Moni fahre (weil’s dazwischen mit diesem Nvidia-Treiber nichts gibt), habe ich vertikale
Scroll-Probleme in den Session- und Graph-Editor-Fenstern. Der riesige Doppelpfeil zum Properties-Fenster Resizen geht nicht vom Rollbalken.

#9 - 2018-08-28 15:21 - hidden

Und das Clipping-Problem mit den Graph-Editoren beim Scrollen ist jetzt auch weg!
OMG! Wir habe euch véllig falsch verdachtigt!

#10 - 2018-08-28 15:51 - hidden

"Einzige ReiBleine wére es, auf Java oder HTML zu setzen und von vorne zu beginnen, was derzeit nicht realisierbar ist."
Java, Oracle? Oh nein!
"Bleibt uns aktuell leider nur, auf Feedback zu hoffen und Schritt fur Schritt stabil zu werden."

Ihr kénnt auf mich und meine "Madels" (grins) bauen.
LG
G.

#11 - 2018-08-28 17:24 - hidden
- Status changed from In Progress to Customer Feedback Required

- Resolution changed from Known Problem to Solved Issue

Hallo Gunter,

das war nun sehr viel, deshalb kurz und knapp:
Problem war Grafiktreiber ?

Nach Update lauft alles mit ADTF 3.3.3 ?

Kann das Ticket abgeschlossen werden ?

#12 - 2018-08-29 10:32 - hidden

Ja, bitte schlieBen!

"Interessant”, dass es sich als reines Treiberproblem heraus gestellt hat.

Hoffe, dass es euch trotzdem geholfen hat.

Wenn ihr am Touch-Problem weiter arbeiten wollt und Test / Feedback braucht, sagt es.

Als néchstes in der Serie (grins) méchte ich euch mit dem oben angesprochenen Scrollproblem auf dem AADC Image auf meinem Laptop bel&stigen,
aber vielleicht ist’s auch nur ein Treiberproblem auf dem UHD, denn am Auto selber lauft’s.

LG

G.

#13 - 2018-08-29 14:44 - hidden

- Project changed from 25 to Public Support

- Subject changed from Configuration Editor Fehler- und Frust-Report to Configuration Editor is unusable and crashes
- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

#14 - 2018-08-29 14:44 - hidden
- Status changed from To Be Closed to Closed

#15 - 2018-10-24 09:57 - hidden
- Related to Support Request #4527: ADTF not working properly on Windows 10 added
